com.independentsoft.exchange

## Class UploadItem

- java.lang.Object
- - com.independentsoft.exchange.UploadItem

-     public class UploadItem
      extends java.lang.Object

  Represents a single item to upload into a mailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadItem()` Initializes a new instance of the UploadItem class.
    `UploadItem(byte[] buffer)` Initializes a new instance of the UploadItem class.
    `UploadItem(byte[] buffer, FolderId parentFolderId)` Initializes a new instance of the UploadItem class.
    `UploadItem(java.io.InputStream inputStream)` Initializes a new instance of the UploadItem class.
    `UploadItem(java.io.InputStream inputStream, FolderId parentFolderId)` Initializes a new instance of the UploadItem class.
    `UploadItem(java.lang.String filePath)` Initializes a new instance of the UploadItem class.
    `UploadItem(java.lang.String filePath, FolderId parentFolderId)` Initializes a new instance of the UploadItem class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateAction` | `getCreateAction()` Gets the action for uploading an item into a mailbox.
    `java.lang.String` | `getData()` Gets the data of a single item to upload into a mailbox.
    `ItemId` | `getItemId()` Gets the unique identifier and change key of an item to create or update in the Exchange store.
    `FolderId` | `getParentFolderId()` Gets the identifier of the parent folder where a new item is created or that contains the item to update.
    `boolean` | `isAssociated()` Gets whether the uploaded item is a folder associated item.
    `void` | `setAsAssociated(boolean isAssociated)` Sets whether the uploaded item is a folder associated item.
    `void` | `setCreateAction(CreateAction createAction)` Sets the action for uploading an item into a mailbox.
    `void` | `setData(java.lang.String data)` Sets the data of a single item to upload into a mailbox.
    `void` | `setItemId(ItemId itemId)` Sets the unique identifier and change key of an item to create or update in the Exchange store.
    `void` | `setParentFolderId(FolderId parentFolderId)` Sets the identifier of the parent folder where a new item is created or that contains the item to update.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadItem

          public UploadItem()

      Initializes a new instance of the UploadItem class.

    - #### UploadItem

          public UploadItem(java.lang.String filePath)
                     throws java.io.IOException

      Initializes a new instance of the UploadItem class.
      Parameters:
        `filePath` - the file path
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### UploadItem

          public UploadItem(java.lang.String filePath,
                            FolderId parentFolderId)
                     throws java.io.IOException

      Initializes a new instance of the UploadItem class.
      Parameters:
        `filePath` - the file path
        `parentFolderId` - the parent folder id
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### UploadItem

          public UploadItem(java.io.InputStream inputStream)
                     throws java.io.IOException

      Initializes a new instance of the UploadItem class.
      Parameters:
        `inputStream` - the input stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### UploadItem

          public UploadItem(java.io.InputStream inputStream,
                            FolderId parentFolderId)
                     throws java.io.IOException

      Initializes a new instance of the UploadItem class.
      Parameters:
        `inputStream` - the input stream
        `parentFolderId` - the parent folder id
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### UploadItem

          public UploadItem(byte[] buffer)

      Initializes a new instance of the UploadItem class.
      Parameters:
        `buffer` - the buffer

    - #### UploadItem

          public UploadItem(byte[] buffer,
                            FolderId parentFolderId)

      Initializes a new instance of the UploadItem class.
      Parameters:
        `buffer` - the buffer
        `parentFolderId` - the parent folder id

  - ### Method Detail

    - #### getItemId

          public ItemId getItemId()

      Gets the unique identifier and change key of an item to create or update in the Exchange store.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(ItemId itemId)

      Sets the unique identifier and change key of an item to create or update in the Exchange store.
      Parameters:
        `itemId` - the new item id

    - #### getParentFolderId

          public FolderId getParentFolderId()

      Gets the identifier of the parent folder where a new item is created or that contains the item to update.
      Returns:
        the parent folder id

    - #### setParentFolderId

          public void setParentFolderId(FolderId parentFolderId)

      Sets the identifier of the parent folder where a new item is created or that contains the item to update.
      Parameters:
        `parentFolderId` - the new parent folder id

    - #### getData

          public java.lang.String getData()

      Gets the data of a single item to upload into a mailbox.
      Returns:
        the data

    - #### setData

          public void setData(java.lang.String data)

      Sets the data of a single item to upload into a mailbox.
      Parameters:
        `data` - the new data

    - #### getCreateAction

          public CreateAction getCreateAction()

      Gets the action for uploading an item into a mailbox.
      Returns:
        the creates the action

    - #### setCreateAction

          public void setCreateAction(CreateAction createAction)

      Sets the action for uploading an item into a mailbox.
      Parameters:
        `createAction` - the new creates the action

    - #### isAssociated

          public boolean isAssociated()

      Gets whether the uploaded item is a folder associated item.
      Returns:
        true, if is associated

    - #### setAsAssociated

          public void setAsAssociated(boolean isAssociated)

      Sets whether the uploaded item is a folder associated item.
      Parameters:
        `isAssociated` - the new as associated